Package org.eclipse.swt.accessibility

## Class AccessibleHyperlinkAdapter

- java.lang.Object
- - org.eclipse.swt.accessibility.AccessibleHyperlinkAdapter

All Implemented Interfaces:
  `AccessibleHyperlinkListener`

    public class AccessibleHyperlinkAdapter
    extends java.lang.Object
    implements AccessibleHyperlinkListener

This adapter class provides default implementations for the methods in the `AccessibleHyperlinkListener` interface.

Classes that wish to deal with `AccessibleHyperlink` events can extend this class and override only the methods that they are interested in.

Since:
  1.4
See Also:
  `AccessibleHyperlinkListener`, `AccessibleHyperlinkEvent`

### Constructor Summary

Constructors
`AccessibleHyperlinkAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getAnchor​(AccessibleHyperlinkEvent e)` Returns the anchor for the link at the specified index.
`void` `getAnchorTarget​(AccessibleHyperlinkEvent e)` Returns the target of the link at the specified index.
`void` `getEndIndex​(AccessibleHyperlinkEvent e)` Returns the 0 based character offset at which the textual representation of the hyperlink ends.
`void` `getStartIndex​(AccessibleHyperlinkEvent e)` Returns the 0 based character offset at which the textual representation of the hyperlink starts.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessibleHyperlinkAdapter

    public AccessibleHyperlinkAdapter()

### Method Detail

#### getAnchor

    public void getAnchor​(AccessibleHyperlinkEvent e)

Returns the anchor for the link at the specified index.

Specified by:
  `getAnchor` in interface `AccessibleHyperlinkListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] index - a 0 based index identifying the anchor if this object has more than one link, as in the case of an image map
  - [typical out] result - the returned anchor
  - [optional out] accessible - the returned anchor. Note: The returned anchor can either be a string or an accessible. For example, for a text link this could be the substring of the containing string where the substring is overridden with link behavior, and for an image link this could be the accessible for the image.

#### getAnchorTarget

    public void getAnchorTarget​(AccessibleHyperlinkEvent e)

Returns the target of the link at the specified index.

Specified by:
  `getAnchorTarget` in interface `AccessibleHyperlinkListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] index - a 0 based index identifying the anchor if this object has more than one link, as in the case of an image map
  - [typical out] result - the returned target
  - [optional out] accessible - the returned target. Note: The returned target can either be a string or an accessible. For example, this could be a string URI, or the accessible for the target object to be activated when the link is activated.

#### getStartIndex

    public void getStartIndex​(AccessibleHyperlinkEvent e)

Returns the 0 based character offset at which the textual representation of the hyperlink starts.

The returned value is related to the AccessibleTextExtended interface of the object that owns this hyperlink.

Specified by:
  `getStartIndex` in interface `AccessibleHyperlinkListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] index

#### getEndIndex

    public void getEndIndex​(AccessibleHyperlinkEvent e)

Returns the 0 based character offset at which the textual representation of the hyperlink ends.

The returned value is related to the AccessibleTextExtended interface of the object that owns this hyperlink. The character at the index is not part of the hypertext.

Specified by:
  `getEndIndex` in interface `AccessibleHyperlinkListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] index